Skip to main content
GET
/
api
/
v1
/
stations
/
details
Get Station Details
curl --request GET \
  --url https://connect.cariqa.com/api/v1/stations/details/ \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "address": "<string>",
  "coordinates": {
    "latitude": "<string>",
    "longitude": "<string>"
  },
  "opening_times": {
    "twentyfourseven": true,
    "regular_hours": [
      {
        "period_begin": "<string>",
        "period_end": "<string>",
        "weekday": "MONDAY"
      }
    ]
  },
  "operator": {
    "name": "<string>",
    "contact": {
      "phone": "<string>"
    }
  },
  "evses": [
    {
      "evse_id": "<string>",
      "status": "AVAILABLE"
    }
  ],
  "last_updated": "<string>",
  "price_groups": [
    {
      "type": "<string>",
      "power": 123,
      "evse_ids": [
        "<string>"
      ],
      "prices": {
        "time_price": {},
        "kwh_price": {},
        "blocking_fee": {},
        "session_fee": {},
        "starting_fee": {}
      },
      "local_datetime": "2023-11-07T05:31:56Z",
      "currency": "<string>",
      "pre_authorization_amount": "<string>",
      "is_fallback": false
    }
  ],
  "speed": "slow",
  "status": "free",
  "amenities": [
    "HOTEL"
  ],
  "is_partner": false,
  "logo_url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cariqa.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

id
string
required
Minimum string length: 1
type
enum<string>
required
  • evse_id - evse_id
  • station_id - station_id
Available options:
evse_id,
station_id
Minimum string length: 1

Response

Serializer for OCPI station details.

id
string | null
required
name
string
required
address
string
required
coordinates
object
required
opening_times
object
required
operator
object
required

Serializer for OCPI operator information.

Attributes: name (str): The name of the operator (required). contact: Operator's contact information.

evses
object[]
required
last_updated
string
required
price_groups
object[]
required
speed
enum<string>
  • slow - slow
  • fast - fast
  • turbo - turbo
Available options:
slow,
fast,
turbo
status
enum<string>
  • free - free
  • busy - busy
  • unknown - unknown
  • error - error
Available options:
free,
busy,
unknown,
error
amenities
enum<string>[]
  • HOTEL - HOTEL
  • RESTAURANT - RESTAURANT
  • CAFE - CAFE
  • MALL - MALL
  • SUPERMARKET - SUPERMARKET
  • SPORT - SPORT
  • RECREATION_AREA - RECREATION_AREA
  • NATURE - NATURE
  • MUSEUM - MUSEUM
  • BUS_STOP - BUS_STOP
  • TAXI_STAND - TAXI_STAND
  • TRAIN_STATION - TRAIN_STATION
  • AIRPORT - AIRPORT
  • CARPOOL_PARKING - CARPOOL_PARKING
  • FUEL_STATION - FUEL_STATION
  • WIFI - WIFI
Available options:
HOTEL,
RESTAURANT,
CAFE,
MALL,
SUPERMARKET,
SPORT,
RECREATION_AREA,
NATURE,
MUSEUM,
BUS_STOP,
TAXI_STAND,
TRAIN_STATION,
AIRPORT,
CARPOOL_PARKING,
FUEL_STATION,
WIFI
is_partner
boolean
default:false
logo_url
string<uri>